members.dev
Payment methods

Begin Member Stripe Payment Method Setup

Returns a Stripe Setup Intent

POST
/v1/payment-methods/members/{member_id}/stripe/setup

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

member_id*string

Response Body

application/json

application/json

curl -X POST "https://api.members.dev/portal/v1/payment-methods/members/string/stripe/setup"
{
  "payment_connector_id": "string",
  "provider": "stripe",
  "provider_account_id": "string",
  "provider_customer_id": "string",
  "setup_intent_id": "string",
  "client_secret": "string",
  "setup_intent_created_at": null,
  "setup_intent_expires_at": null
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}